<?php
//Normal Registration form Banner
function kolo_normal_register_Banner( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'bg_img' => '',           
            'sec_heading' => 'KOLO is the <span>most simple way</span> to launch your startup',           
            'sec_subheading' => 'Vivamus ultrices luctus quam eu feugiat posuere pulvinar turpis quis interdum vulputate lobortis diam  lectus
					ante ut urna malesuada, ultrices luctus maximus mollis feugiat accumsan aliquam vitae malesuada rutrum',                      
		   'learn_more_text' => 'Learn more',           
		   'learn_more_link' => '#', 		  
		   'get_started_text' => 'Get started now',           
		   'get_started_link' => '#',           
		   'c_f7s_id' => '',           

		), $atts )
    );
ob_start();
$bg_img = wp_get_attachment_image_src($bg_img,'');
?>
		
<!-- INTRO
============================================= -->
<section id="intro" style="background-image: url(<?php echo esc_url($bg_img['0']);?>);">
	<div class="container">		
		<div id="intro_content" class="row">
			<!-- INTRO TEXT -->
			<div class="col-md-7 intro_text">
				
				<h2><?php echo kolo_wp_kses($sec_heading);?></h2>
				
				<p><?php echo kolo_wp_kses($sec_subheading);?></p>
					
				<!-- INTRO BUTTONS -->
				<div class="intro_button">	
					<?php if($learn_more_link){?>
					<a class="btn btn-tra" href="<?php echo esc_url($learn_more_link);?>"><?php echo esc_html($learn_more_text);?></a>	
					<?php } if($get_started_link){ ?>
					<a class="btn" href="<?php echo esc_url($get_started_link);?>"><?php echo esc_html($get_started_text);?></a>		
					<?php }?>
				</div>	
					
			</div>	<!-- END TEXT -->
				
							
			<!-- INTRO REGISTER FORM -->	
			<div id="intro_form" class="col-md-5 form_register text-center">
				<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($c_f7s_id).'"]'); ?>	
			</div>    <!-- END INTRO REGISTER FORM -->	
										
		</div>	 <!-- End Intro Content -->	
	</div>    <!-- End container -->
</section>	<!-- END INTRO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('normal_register_Banner', 'kolo_normal_register_Banner' );

//Simple Registration form Banner
function kolo_simple_register_Banner( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'bg_img' => '',           
            'sec_heading' => 'Start your project with <span>KOLO</span>',           
            'sec_subheading' => 'We love to create awesome designs for our clients ',                            
		   'c_f7s_id' => '',           

		), $atts )
    );
ob_start();
$bg_img = wp_get_attachment_image_src($bg_img,'');
?>
		
	<!-- INTRO
	============================================= -->
	<section id="intro" style="background-image: url(<?php echo esc_url($bg_img['0']);?>);" class="simple_register_form">
		<div class="container">
			
			<!-- INTRO TEXT -->
			<div id="intro_content" class="row">
				<div class="col-md-12 intro_text text-center">
					
					<h2><?php echo kolo_wp_kses($sec_heading);?></h2>
					
					<h3><?php echo kolo_wp_kses($sec_subheading);?></h3>
						
				</div>
			</div>	<!-- END INTRO TEXT -->	
			
			
			<!-- INTRO REGISTER FORM -->	
			<div class="row">
				<div id="intro_form" class="col-sm-12 col-md-8 center-block form_register text-center">
					<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($c_f7s_id).'"]'); ?>	
				</div>   
			</div>	 <!-- END INTRO REGISTER FORM -->	
			
			
		</div>    <!-- End container -->
	</section>	<!-- END INTRO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('simple_register_Banner', 'kolo_simple_register_Banner' );

//BIG Promo Image Banner
function kolo_big_image_Banner( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'bg_img' => '',           
            'sec_bg_img' => '',           
            'sec_heading' => 'KOLO is the better way to get a awesome design',           
            'sec_subheading' => 'Morbi placerat quam vitae maximus mollis. Donec mattis justo sit amet aliquam efficitur. Donec fermentum 
					ante ut urna malesuada, ultrices luctus maximus mollis feugiat accumsan posuere',                                      

		), $atts )
    );
ob_start();
$bg_img = wp_get_attachment_image_src($bg_img,'');
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
		
<!-- INTRO
============================================= -->
<section id="intro" style="background-image: url(<?php echo esc_url($bg_img['0']);?>);" class="big_promo_img">
	<div class="container">		
		<div id="intro_content" class="row">
			<!-- INTRO TEXT -->
			<div class="col-md-12 intro_text text-center">

				<h2><?php echo kolo_wp_kses($sec_heading);?></h2>
				
				<p><?php echo kolo_wp_kses($sec_subheading);?></p>
									
				<!-- INTRO IMAGE -->
				<img class="img-responsive" src="<?php echo esc_url($sec_bg_img['0']);?>" />				
			</div>	<!-- END TEXT -->									
		</div>	 <!-- End Intro Content -->	
	</div>    <!-- End container -->
</section>	<!-- END INTRO -->
		
<?php 
  return ob_get_clean();
}
add_shortcode ('big_image_Banner', 'kolo_big_image_Banner' );

//service
function kolo_service_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'ser_icon' => 'fa-diamond',                      
            'ser_title' => 'Modern Design',                      
            'ser_subtitle' => 'Proin a velit aliquam vitae malesuada rutrum. Aenean ullamcorper placerat porttitor velit aliquam vitae. Aliquam a augue suscipit, bibendum luctus neque laoreet rhoncus ipsum, ullamcorper',                      
		), $atts )
    );
ob_start();

?>

	<!-- SERVICE BOX #1 --> 
	<div class="col-xs-6 col-md-4 service-box">			
		<!-- Service Box Content --> 
		<div class="service-box-content">
			<div class="service-box-icon"><i class="fa <?php echo esc_attr($ser_icon);?>"></i></div>
			<div class="service-box-title"><h4 class="small-title"><?php echo kolo_wp_kses($ser_title);?></h4></div>
			<p><?php echo kolo_wp_kses($ser_subtitle);?></p>							
		</div>				
	</div>	<!-- END SERVICE BOX #1 --> 
		
<?php 
  return ob_get_clean();
}
add_shortcode ('service_area', 'kolo_service_area' );

//our process
function kolo_our_process_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'process_title' => 'Truly Multipurpose',                      
            'process_img' => '',                      
            'process_content' => 'Maecenas laoreet augue egestas volutpat vulputate fermentum suscipit egestas lobortis magna, fermentum 
			   mauris interdum lectus ornare sagittis elementum vulputate congue gestas volutpat',                      
		), $atts )
    );
ob_start();
$process_img = wp_get_attachment_image_src($process_img,'');
?>

		<!-- TRULY MULTIPURPOSE --> 
		<div class="col-md-4 our-process-item">
			<h4 class="small-title"><?php echo kolo_wp_kses($process_title);?></h4>
			<img class="img-responsive" src="<?php echo esc_url($process_img['0']);?>" alt="our-process-image"/>
			<p><?php echo kolo_wp_kses($process_content);?></p>
			
		</div>
		
<?php 
  return ob_get_clean();
}
add_shortcode ('our_process_area', 'kolo_our_process_area' );

//About Us
function kolo_about_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'sec_title' => 'About Us',                      
            'sec_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat ',                      
            'about_img' => '',                      
            'about_title' => 'What we do?',                                          
            'about_tab_opt' => '',                                          
            'about_content' => 'Nemo enim ipsam voluptatem, quia voluptas sit, aspernatur consequuntur magni 
				   dolores eos, qui ratione voluptatem sequi nesciunt, neque porro quisquam 
				   tempora incidunt, ut labore et dolore magnam aliquam quaerat voluptatem.',                      

		), $atts )
    );
ob_start();
$about_img = wp_get_attachment_image_src($about_img,'');
?>

<!-- ABOUT
============================================= -->	
<section id="about">
	<div class="container">
		<!-- SECTION TITLE -->		
		<div class="row">
			<?php if($sec_title && $sec_subtitle){ ?>
				<div class="col-sm-12 titlebar">
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>							
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>				
				</div>
			<?php } ?>
		</div>	<!-- END SECTION TITLE -->
	
		<div class="row">
			<!-- WHAT WE DO -->
			<div id="what-we-do" class="col-md-6">						
				<h4 class="small-title"><?php echo kolo_wp_kses($about_title);?></h4>
				<p><?php echo kolo_wp_kses($about_content);?></p>
				<?php if($about_tab_opt == true){?>
					<div id="tabs-holder"><?php echo do_shortcode('[tab_area]');?></div> 
				<?php }?>
			</div>	<!-- END WHAT WE DO -->
				
				
			<!-- ABOUT SECTION IMAGE -->		
			<div class="col-md-6 tab-image text-center">						
				<img class="img-responsive" src="<?php echo esc_url($about_img['0']);?>" alt="about-image" />							
			</div>	<!-- END ABOUT SECTION IMAGE -->		
			
			
		</div>	 <!-- End row -->
		
		
	</div>	 <!-- End container -->
</section>	 <!-- END ABOUT -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('about_us_area', 'kolo_about_us_area' );


//Promo Area
function kolo_promo_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'promo_title' => 'Everything that matters to your success',                      
            'promo_content' => '
				<p>Aenean blandit non nulla at sodales. Sed ut nisi eu dui accumsan mollis quisque erat diam, sodales consequat</p>	
				<p>Proin a velit aliquam vitae malesuada aenean ullamcorper placerat porttitor velit aliquam vitae bibendum luctus, ullamcorper
				   placerat aenean porttitor sodales vitae consequat aenean 
				</p>
				<p>Maecenas laoreet augue egestas volutpat vulputate fermentum suscipit egestas lobortis magna, fermentum condimentum mauris nec interdum lectus ornare 
				   at sagittis elementum vulputate congue Curabitur et turpis urna. In molestie imperdiet metus, a laoreet massa sollicitudin. 
				   Fusce tempus orci sit amet scelerisque volutpat. Nulla dolor sapien, fringilla risus nec, luctus porttitor mauris donec diam euismod
				</p>',     
				'promo_work_btn_text' => 'View our works',
				'promo_work_btn_url' => '#',
				'promo_buy_btn_text' => 'Buy the theme',
				'promo_buy_btn_url' => '#',
		), $atts )
    );
ob_start();
?>
			
<!-- PROMO LINE 
============================================= -->	
<div id="promo">
	<div class="container">
		<div class="row">
			<!-- PROMO LINE ROTATOR CONTENT  -->
			<div class="promo-image col-md-6">	
				<div class="flexslider">											
					<ul class="slides">
						<?php echo do_shortcode($content);?>					
					</ul>												
				</div>																
			</div>	 <!-- END ROTATOR CONTENT -->	
			
														
			<!-- PROMO LINE TEXT -->
			<div id="promo-content" class="col-md-6">						
				<h3><?php echo kolo_wp_kses($promo_title);?></h3>
				<?php echo kolo_wp_kses($promo_content);?>
				<?php if($promo_work_btn_url){?>				
					<a href="<?php echo esc_url($promo_work_btn_url);?>" class="btn btn-tra"><?php echo esc_html($promo_work_btn_text);?></a>
				<?php } if($promo_buy_btn_url){ ?>
					<a href="<?php echo esc_url($promo_buy_btn_url);?>" class="btn btn-tra"><?php echo esc_html($promo_buy_btn_text);?></a>		
				<?php }?>
			</div>	<!-- END PROMO LINE 1 TEXT -->
		</div>	  <!-- End row -->
	</div>	  <!-- End container -->	
</div>	  <!-- END PROMO LINE  -->

<?php 
  return ob_get_clean();
}
add_shortcode ('promo_area', 'kolo_promo_area' );

//Promo Slider
function kolo_promo_slider( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'promo_slider_img' => '',                      
		), $atts )
    );
ob_start();
$promo_slider_img = wp_get_attachment_image_src($promo_slider_img,'');
?>
			
<!-- Promo Line Image #1 -->
<li class="promo-line-image">
	<img class="img-responsive" src="<?php echo esc_url($promo_slider_img['0']);?>"/>
</li>

<?php 
  return ob_get_clean();
}
add_shortcode ('promo_slider', 'kolo_promo_slider' );

//About Us Two
function kolo_about_us_two( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'sec_title1' => 'Our Philosophy',                      
            'sec_subtitle1' => '<p>Nemo enim ipsam voluptatem, quia voluptas sit, aspernatur aut odit aut fugit, sed quia consequuntur magni 
				   dolores eos, qui ratione voluptatem sequi nesciunt, neque porro quisquam dolorem ipsum, tempora incidunt, magnam aliquam
				</p>
				
				<p>Aliquam a augue suscipit, bibendum luctus neque. Vestibulum laoreet rhoncus ipsum, bibendum ullamcorper hendrerit tellus
				   varius nulla mauris, vitae adipiscing
				</p>', 
			'ac_option' => '',  		
			'sec_title2' => 'Discover more about us',
			'sec_subtitle2' => 'Nemo enim ipsam voluptatem, quia voluptas sit, aspernatur aut odit aut fugit, sed quia consequuntur magni 
				   dolores eos, qui ratione voluptatem sequi nesciunt bibendum sem a mi accumsan, fringilla nisi rutrum maximus blandit vulputate
				',
			'sec_video_url' => 'http://www.youtube.com/embed/XSo4JQnm8Bw?rel=0', 	
		), $atts )
    );
ob_start();

?>
			
<!-- ABOUT-1
============================================= -->			
<div id="about-1">
	<div class="container">	
		<div class="row">					
			<!-- ACCORDION -->						
			<div class="col-md-6">

				<h4 class="small-title"><?php echo kolo_wp_kses($sec_title1);?></h4>
				<?php echo kolo_wp_kses($sec_subtitle1);?>
				<?php if($ac_option == true){ echo do_shortcode('[accordion_area]');} ?>
			</div>
			<!-- VIDEO LINK -->	
			<div id="video_holder" class="col-md-6">
			
				<h4 class="small-title"><?php echo kolo_wp_kses($sec_title2);?></h4>
				
				<p><?php echo kolo_wp_kses($sec_subtitle2);?></p>
		
				<div class="video-block">													
					<iframe width="853" height="480" src="<?php echo esc_url($sec_video_url);?>"></iframe>
				</div>		
			</div>	<!-- END VIDEO LINK -->					
		</div>	 <!-- End row -->
	</div>	  <!-- End container -->	
</div>	  <!-- END ABOUT-1  -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('about_us_two', 'kolo_about_us_two' );

//statistic banner
function kolo_statistic_banner( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'satis_img' => '',                      
		), $atts )
    );
ob_start();
$satis_img = wp_get_attachment_image_src($satis_img,'');
?>
	<!-- STATISTIC BANNER
	============================================= -->
	<div id="statistic_banner" style='background-image: url(<?php echo esc_url($satis_img['0']);?>);'>
		<div class="container">
			<!-- STATISTIC BLOCKS HOLDER -->
			<div id="statistic-holder" class="row">
				<?php echo do_shortcode($content);?>			
			</div>	<!-- END STATISTIC BLOCKS  HOLDER -->
		</div>	 <!-- End container -->		
	</div>	 <!-- END STATISTIC BANNER -->
<?php 
  return ob_get_clean();
}
add_shortcode ('statistic_banner', 'kolo_statistic_banner' );

//Single Statistic
function kolo_statistic_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'set_number' => '125',                      
            'set_title' => 'Finished projects',                      
            'set_subtitle' => 'Proin a velit aliquam vitae malesuada aenean placerat porttitor aliquam ',                      
	
		), $atts )
    );
ob_start();

?>
	<!-- STATISTIC BLOCK -->
	<div class="col-xs-6 col-sm-6 col-md-3 statistic-block text-center">					
		<div class="statistic-number"><?php echo esc_html($set_number);?></div>
		<div class="statistic-text"><?php echo kolo_wp_kses($set_title);?></div>
		<div><p><?php echo kolo_wp_kses($set_subtitle);?></p></div>
	</div>
<?php 
  return ob_get_clean();
}
add_shortcode ('statistic_single', 'kolo_statistic_single' );

//Team Area
function kolo_team_member( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'sec_title' => 'Meet Our Team',                      
            'set_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat',                      
            'numb_of_post' => '4',                      
            
		), $atts )
    );
ob_start();

?>
<!-- TEAM
============================================= -->		
<section id="team">
	<div class="container">	
		<?php if($sec_title && $set_subtitle){?>
		<!-- SECTION TITLE -->				
		<div class="row">
			<div class="col-sm-12 titlebar">		
				<h3><?php echo kolo_wp_kses($sec_title);?></h3>								
				<p><?php echo kolo_wp_kses($set_subtitle);?></p>
				
			</div>
		</div>	<!-- END SECTION TITLE -->	
		<?php }?>	
			
		<!-- TEAM MEMBERS HOLDER -->
		<div class="row team_members_wrapper">
			<?php
					// WP_Query arguments
					$args = array (
						'post_type'              => array( 'k_team' ),
						'posts_per_page'         => $numb_of_post,
					);

					// The Query
					$kolo_team_query = new WP_Query( $args );

					// The Loop
					if ( $kolo_team_query->have_posts() ) {
						while ( $kolo_team_query->have_posts() ) {
							$kolo_team_query->the_post();
							$kolo_team_img = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'kolo_team_img');
							$kolo_team_des = get_post_meta(get_the_ID(), '_kolo_team_designation', true);
							$kolo_team_description = get_post_meta(get_the_ID(), '_kolo_team_description', true);
							$kolo_team_group_field_opt = get_post_meta(get_the_ID(), '_kolo_team_group_field_opt', true);

							?>
							<!-- TEAM MEMBER #1 -->
							<div class="col-xs-6 col-sm-6 col-md-3">
								<div class="team-member">
									
									<!-- Team Member Photo  -->	
									<div class="img-block">
										<img class="img-responsive" src="<?php echo esc_url($kolo_team_img['0']);?>" alt="team_foto" >
									</div>
									
									<!-- Team Member Meta  -->		
									<div class="team-img-meta">
										<?php the_title('<h5>', '</h5>');?>
										<h6><?php echo esc_html($kolo_team_des);?></h6>
										<p><?php echo esc_html($kolo_team_description);?></p>	
									</div>
										
									<!-- Team Member Social Icons  -->		
									<div class="team-socials">																	
										<ul class="team-member-socials clearfix">

											<?php
												$tcount = 1;
												foreach ( (array) $kolo_team_group_field_opt as $key => $entry ) {

													$tsicon = $tslink = $tbgcolor = '';

													if ( isset( $entry['_kolo_team_sm_icon'] ) )
														$tsicon = $entry['_kolo_team_sm_icon'];

													if ( isset( $entry['_kolo_team_sm_link'] ) )
														$tslink = $entry['_kolo_team_sm_link'] ;

													if ( isset( $entry['_kolo_team_sm_hovor_color'] ) )
														$tbgcolor = $entry['_kolo_team_sm_hovor_color'] ;	

													?>
													<li><a class="page_social social_link<?php echo esc_attr(get_the_ID().$tcount);?>" href="<?php echo esc_url($tslink);?>"><i class="fa <?php echo esc_attr($tsicon);?>"></i></a></li>
													<style type="text/css">	
														.social_link<?php echo esc_html(get_the_ID().$tcount);?>:hover{
															 color: <?php echo esc_attr($tbgcolor);?>;
														}
													</style>
													<?php 
													$tcount++;
													} ?>
						
										</ul>
									</div>	
										
								</div>
							</div>	<!-- END TEAM MEMBER #1 -->
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata();

			?>	
			
			
		</div>	<!-- END TEAM MEMBERS HOLDER -->	
	</div>	   <!-- End container -->
</section>	<!-- END TEAM -->
<?php 
  return ob_get_clean();
}
add_shortcode ('kteam_member', 'kolo_team_member' );


//Promo Area
function kolo_promo_area2( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(
            'sec_img' => '',                      
            'pro_title' => 'Perfect landing page for startup. Everything your bussiness need in one place',                      
            'pro_content' => '<p>Nemo enim ipsam voluptatem, quia voluptas sit, aspernatur aut odit aut fugit, sed quia consequuntur magni 
				   dolores eos, qui ratione voluptatem sequi nesciunt, neque porro quisquam est, qui dolorem ipsum, quia dolor sit, 
				   Numquam eius modi tempora incidunt, ut labore et dolore magnam aliquam quaerat voluptatem.
				</p>
				
				<p>Aliquam a augue suscipit, bibendum luctus neque. Vestibulum laoreet rhoncus ipsum, bibendum ullamcorper hendrerit tellus</p>
				
				<p>Aliquam a augue suscipit, bibendum luctus neque. Vestibulum laoreet rhoncus ipsum, bibendum ullamcorper hendrerit tellus
				   Vestibulum varius nulla mauris, vitae adipiscing dolores eos, qui ratione voluptatem sequi nesciunt
				</p>',                      
            'fea_btn_text' => 'View Features',     
            'fea_btn_link' => '#',     
            'buy_btn_text' => 'Buy Theme',     
            'buy_btn_link' => '#',     
		), $atts )
    );
ob_start();
$sec_img = wp_get_attachment_image_src($sec_img,'');
?>
<!-- BIG PROMO
============================================= -->
<div id="big-promo">
	<div class="container">
		<div class="row">		
			<!-- BIG PROMO IMAGE -->
			<div class="col-md-6 big-promo-image text-center">
				<img class="img-responsive" src="<?php echo esc_url($sec_img['0']);?>" alt="big-promo-image" />		
			</div>
			
			
			<!-- BIG PROMO CONTENT -->
			<div class="col-md-6 big-promo-content">
				<h3><?php echo kolo_wp_kses($pro_title);?></h3>
			
				<?php echo kolo_wp_kses($pro_content);?>
				
				<!-- Promo Content Buttons -->
				<?php if($fea_btn_link){?>
				<a href="<?php echo esc_url($fea_btn_link);?>" class="btn"><?php echo esc_html($fea_btn_text);?></a>		
				<?php } if($buy_btn_link){?>
				<a href="<?php echo esc_url($buy_btn_link);?>" class="btn "><?php echo esc_html($buy_btn_text);?></a>
				<?php }?>
			</div>	<!-- END BIG PROMO CONTENT -->
			
		</div>	 <!-- End row -->
	</div>	 <!-- End container -->
</div>	 <!-- END BIG PROMO	-->
<?php 
  return ob_get_clean();
}
add_shortcode ('promo_area2', 'kolo_promo_area2' );

//Newsletter Area
function kolo_newsletter_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                     
            'sec_img' => '',                      
            'sec_title' => 'Newsletter Subscription',                      
            'sec_subtitle' => 'Be amongst the first to know about our news, ideas and latest features',                      
            'sec_mailc_s_id' => '',                      

		), $atts )
    );
ob_start();
$sec_img = wp_get_attachment_image_src($sec_img,'');
?>
			
<!-- MAILCHIMP NEWSLETTER FORM
============================================= -->		
<section id="newsletter" style="background-image: url(<?php echo esc_url($sec_img['0']);?>); background-size: cover;">
	<div class="container">		
		<div class="row">
			<!-- NEWSLETTER TITLE -->
			<div class="col-md-6">
				<h3><?php echo kolo_wp_kses($sec_title);?></h3>
				<h4><?php echo kolo_wp_kses($sec_subtitle);?></h4>
				
			</div>	<!-- END NEWSLETTER TITLE -->	

			<!-- NEWSLETTER FORM -->						
			<div class="col-md-6">
				<?php echo do_shortcode('[mc4wp_form id="'.esc_attr($sec_mailc_s_id).'"]');?>
			</div>	<!-- END NEWSLETTER FORM -->

		</div>	  <!-- End row -->		
	</div>	   <!-- End container -->
</section>	<!-- END MAILCHIMP NEWSLETTER FORM -->
<?php 
  return ob_get_clean();
}
add_shortcode ('newsletter_area', 'kolo_newsletter_area' );

//Portfolio Area
function kolo_portfolio_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_title' => 'Recent Projects',                      
            'sec_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat',                                         

		), $atts )
    );
ob_start();

?>
<!-- PORTFOLIO
============================================= -->	
<section id="portfolio">
	<div class="container">
		<?php if($sec_title && $sec_subtitle){?>
			<!-- SECTION TITLE -->	
			<div class="row">
				<div class="col-sm-12 titlebar">	
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>								
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>
					
				</div>	
			</div>	<!-- END SECTION TITLE -->
		<?php }?>
		

		<!-- PORTFOLIO IMAGES HOLDER -->
		<div class="row">
			<ul class="portfolio-items-list">
			
			<?php 
			
				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'portfolios' ),
					'posts_per_page'		=> -1,
				);

				// The Query
				$kolo_port_query = new WP_Query( $args );

				// The Loop
				if ( $kolo_port_query->have_posts() ) {
					while ( $kolo_port_query->have_posts() ) {
						$kolo_port_query->the_post(); 
						$kolo_port_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'kolo_port_img');
						?>
	
	
				<!-- IMAGE #1 -->
				<li class="col-xs-6 col-sm-6 col-md-4 portfolio-item">
					<div class="hover-overlay"> 			
						<!-- Image Link -->
						<img class="img-responsive" src="<?php echo esc_url($kolo_port_image['0']);?>">
										
						<!-- Image Zoom -->
						<a class="prettyPhoto image_zoom" href="<?php echo esc_url($kolo_port_image['0']);?>" title="Portfolio Image">									
							<div class="item-overlay">										
								<div class="overlay-content">
									<h4 class="small-title"><?php the_title();?></h4>
										<?php 
											$terms = get_the_terms(get_the_ID(), 'cat_portfolios');
											 foreach ( $terms as $term ) { ?>
											<h5><?php echo esc_html($term->name); ?></h5>
										<?php } ?>
								</div>
							</div>	  
						</a>
																	
					</div>
				</li>	<!-- END IMAGE #1 -->
				
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();			
			
			?>
								
			</ul>	 <!-- End portfolio-items-list  -->							
		</div>	  <!-- End row -->	
		
	</div>	   <!-- End container -->	
</section>	<!-- END PORTFOLIO -->
<?php 
  return ob_get_clean();
}
add_shortcode ('portfolio_area', 'kolo_portfolio_area' );

//feature Area
function kolo_feat_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_image' => '',                      
            'sec_title' => 'Optimized for mobile devices',                      
            'sec_subtitle' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt ut laoreet dolore 
				   magna aliquam erat volutpat wisi enim ad minim veniam quis nostrud',                                         
            'btn_text' => 'View Features',                                         
            'btn_link' => '#',                                         

		), $atts )
    );
ob_start();
$sec_image = wp_get_attachment_image_src($sec_image,'');
?>
<!-- FEATURES LIST
============================================= -->
<div id="features-list">
	<div class="container">
		<div class="row">
		
		
			<!-- FEATURES LIST IMAGE -->
			<div class="col-md-6 features-list-image text-center">
				<img class="img-responsive" src="<?php echo esc_url($sec_image['0']);?>" alt="features-list-image" />		
			</div>
			
			
			<!-- FEATURES LIST CONTENT -->
			<div class="col-md-6 features-list-content">
			
				<h3><?php echo kolo_wp_kses($sec_title);?></h3>
				
				<p><?php echo kolo_wp_kses($sec_subtitle);?></p>
				
				<!-- List -->
				<ul class="list">
					<?php echo do_shortcode($content);?>
				
				</ul>	<!-- End List -->
				<?php if($btn_link){?>
					<!-- Button -->
					<a href="<?php echo esc_url($btn_link);?>" class="btn"><?php echo esc_html($btn_text);?></a>
				<?php }?>
			</div>	<!-- END FEATURES LIST CONTENT -->
			
		</div>	   <!-- End row -->
	</div>	   <!-- End container -->
</div>	   <!-- END FEATURES LIST -->
<?php 
  return ob_get_clean();
}
add_shortcode ('kfeature_area', 'kolo_feat_area' );


//feature Single
function kolo_feat_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_icon' => 'fa-check',                      
            'sec_content' => 'Lorem ipsum dolor and consectetur aliqua. Fusce accumsan purus pretium ligula vehicula, ut interdum nisl vulputate',                                       

		), $atts )
    );
ob_start();

?>
	<!-- List_Item_1 -->
	<li>       									
		<div class="list-icon">
			<i class="fa <?php echo esc_attr($sec_icon);?>"></i>
		</div>
									
		<div class="list-content">
			 <p><?php echo kolo_wp_kses($sec_content);?></p>
		</div>
	</li>
<?php 
  return ob_get_clean();
}
add_shortcode ('feat_single', 'kolo_feat_single' );

//Testimonials Area
function kolo_testimonials_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_bg_img' => '',                      
            'sec_title' => 'What People Say About Us',                      

		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
 ?>
<!-- TESTIMONIALS ROTATOR
============================================= -->
<div id="testimonials_rotator" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>); ">
	<div class="container text-center">
		<?php if($sec_title){ ?>
		<!-- SECTION TITLE -->		
		<div class="row">
			<div class="col-sm-12 titlebar">
				<h3><?php echo kolo_wp_kses($sec_title);?></h3>	
			</div>
		</div>	<!-- END SECTION TITLE -->		
		<?php }?>
		
		<!-- TESTIMONIALS ROTATOR CONTENT -->
		<div class="row">					
			<div class="col-md-12">	
				<div class="flexslider">											
					<ul class="slides">										
					<?php
					// WP_Query arguments
					$args = array (
						'post_type'              => array( 'ktestimonials' ),
						'posts_per_page'         => '-1',
					);

					// The Query
					$kolo_test_query = new WP_Query( $args );

					// The Loop
					if ( $kolo_test_query->have_posts() ) {
						while ( $kolo_test_query->have_posts() ) {
							$kolo_test_query->the_post();
							$kolo_test_image = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'kolo_testi_img');
							$kolo_test_des = get_post_meta(get_the_ID(), '_kolo_test_designation', true);
							?>
					<!-- TESTIMONIAL #1 -->
					<li>
						<div class="testimonials">
							<!-- Testimonial Message Avatar -->
							<div class="client-img text-center">
								<img src="<?php  echo esc_url($kolo_test_image['0']);?>" alt="Hannah Brown">
							</div>
											
							<!--Testimonial Message -->
							<div class="client-msg">										
							<p><?php the_content();?></p>							
							</div>
							
							<!-- Message Author -->
							<p class="author">&ndash; <?php echo esc_html($kolo_test_des);?></p>
									
						</div>
					</li>	 <!-- END TESTIMONIAL #1 -->
					<?php	}
					} else {
						// no posts found
					}

					// Restore original Post Data
					wp_reset_postdata(); ?>

					</ul>												
				</div>				
			</div>	<!-- End col-sm-12 -->							
		</div>	<!-- END TESTIMONIALS ROTATOR CONTENT --> 	
	</div>	  <!-- End container -->
</div>	   <!-- END TESTIMONIALS ROTATOR -->					
<?php 
  return ob_get_clean();
}
add_shortcode ('testimonials_area', 'kolo_testimonials_area' );

//Clients Area
function kolo_clients_area( $atts , $content = null ){

ob_start();
?>
<!-- CLIENTS
============================================= -->				
<div id="clients">
	<div class="container">
		<!-- CLIENTS CAROUSEL HOLDER -->
		<div id="clients-holder" class="row">
			<div class="col-md-12">
				<!-- CLIENTS CAROUSEL -->
				<div id="our-customers" class="owl-carousel">
					<?php echo do_shortcode($content);?>																			
				</div>	<!-- END CLIENTS CAROUSEL -->
			</div>
		</div>	   <!-- END CLIENTS CAROUSEL HOLDER -->

	</div>	   <!-- End container -->
</div>	<!-- END CLIENTS -->
							
<?php 
  return ob_get_clean();
}
add_shortcode ('clients_area', 'kolo_clients_area' );

//Clients Single
function kolo_clients_single( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_bg_img' => '',                                        
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
<!-- CLIENT LOGO -->
<div id="client-logo-1" class="item">
	<img class="img-responsive img-customer" src="<?php echo esc_url($sec_bg_img['0']);?>" alt="customer_image">
</div>
							
<?php 
  return ob_get_clean();
}
add_shortcode ('clients_single', 'kolo_clients_single' );

//Pricing Table Area
function kolo_pricing_table_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_title' => 'Pricing plans',                                        
            'sec_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat',                                        
            'number_post' => '4',                                        
		), $atts )
    );
ob_start();

?>

<!-- PRICING
============================================= -->	
<section id="pricing">
	<div class="container">
		<?php if($sec_title && $sec_subtitle){?>
			<!-- SECTION TITLE -->		
			<div class="row">
				<div class="col-sm-12 titlebar">
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>							
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>				
				</div>
			</div>	<!-- END SECTION TITLE -->	
		<?php }?>
		
		<!-- PRICING TABLES HOLDER -->	
		<div class="row price-row">
		
			<?php

				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'pricing_table' ),
					'posts_per_page'         => $number_post,
				);

				// The Query
				$ko_pricing_query = new WP_Query( $args );

				// The Loop
				if ( $ko_pricing_query->have_posts() ) {
					while ( $ko_pricing_query->have_posts() ) {
						$ko_pricing_query->the_post(); 
						$kolo_pt_featur_plan = get_post_meta(get_the_ID(),'_kolo_pt_featur_plan',true);	
						$kolo_pt_currency_type = get_post_meta(get_the_ID(),'_kolo_pt_currency_type',true);	
						$kolo_pt_amount = get_post_meta(get_the_ID(),'_kolo_pt_amount',true);	
						$kolo_pt_amoun_cent = get_post_meta(get_the_ID(),'_kolo_pt_amoun_cent',true);	
						$kolo_pricing_group_field_opt = get_post_meta(get_the_ID(),'_kolo_pricing_group_field_opt',true);	
						$kolo_pt_button_text = get_post_meta(get_the_ID(),'_kolo_pt_button_text',true);	
						$kolo_pt_button_link = get_post_meta(get_the_ID(),'_kolo_pt_button_link',true);	
							
						?>
						
							<!-- PRICE PLAN BASIC -->
							<div class="single_pricing col-xs-6 col-sm-6 col-md-3">
								<div class="pricing-table text-center <?php if($kolo_pt_featur_plan == true){ echo esc_attr('highlight') ;}?>">		
							
									<!-- Table Header  -->
									<?php the_title('<h3>' , '</h3>');?>

									<!-- Plan Price  -->
									<div class="price">
										<sup><?php echo esc_html($kolo_pt_currency_type);?></sup>
										<span class="color"><?php echo esc_html($kolo_pt_amount);?></span>
										<sup class="color"><?php echo esc_html($kolo_pt_amoun_cent);?></sup>
									</div>
																
									<!-- Plan Features  -->
									<ul class="features">
										<?php
												foreach ( (array) $kolo_pricing_group_field_opt as $key => $pt_entry ) {

													$feature = '';

													if ( isset( $pt_entry['_kolo_pt_feature'] ) )
														$feature = $pt_entry['_kolo_pt_feature'] ;
													
													?>

													<li><?php echo wp_kses($feature, array('strong' => array(), 'p' => array()), '');?></li>
											<?php } ?>										
										
									</ul>
									<!-- Table Button  -->
									<a href="<?php echo esc_url($kolo_pt_button_link);?>" class="btn"><?php echo esc_html($kolo_pt_button_text);?></a>
								</div>
							</div>	<!-- END PRICE PLAN BASIC -->
			
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();


			?>		

			

		</div>	<!-- END PRICING TABLES HOLDER -->
	</div>	<!-- End container -->	
</section>	 <!-- END PRICING -->
			
						
<?php 
  return ob_get_clean();
}
add_shortcode ('pricing_table_area', 'kolo_pricing_table_area' );

//Blog Area
function kolo_blog_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_title' => 'Latest From Blog',                                        
            'sec_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat',                                        
            'number_post' => '3',                                        
		), $atts )
    );
ob_start();

?>
<!-- BLOG
============================================= -->		
<section id="blog">
	<div class="container">
	
		<?php if($sec_title && $sec_subtitle){?>
			<!-- SECTION TITLE -->	
			<div class="row">
				<div class="col-md-12 titlebar">				
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>							
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>	
				</div>
			</div>	<!-- END SECTION TITLE -->	
		<?php }?>	
		
		<!-- BLOG ARTICLES HOLDER -->						
		<div class="row">
		
		<?php
				// WP_Query arguments
				$args = array (
					'post_type'              => array( 'post' ),
					'posts_per_page'         => $number_post,
				);

				// The Query
				$kolo_blog_query = new WP_Query( $args );

				// The Loop
				if ( $kolo_blog_query->have_posts() ) {
					while ( $kolo_blog_query->have_posts() ) {
						$kolo_blog_query->the_post(); 
						$kolo_port_img = wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()),'kolo_port_img');
						$kolo_embed_code = get_post_meta(get_the_ID(),'_kolo_embed_code',true);	
							
						?>
						
						<!-- BLOG ARTICLE 1 -->		
						<div id="blog_post_1" class="col-md-4">
							<article>
								<?php if($kolo_port_img){?>	
									<!-- Post Image -->
									<div class="blog-post-img">
										<img class="img-responsive" src="<?php echo esc_url($kolo_port_img['0']);?>" alt="" />	
									</div>
								<?php }elseif($kolo_embed_code){?>
									<div class="video-block">										
										<?php echo $kolo_embed_code;?>
									</div>
								<?php }?>
								<!-- Post Titlebar -->
								<div class="blog-post-titlebar">
									<h4><?php the_title();?></h4>
								</div>
										
								<!-- Post Meta -->
								<div class="blog-post-info">
									<?php echo esc_html(get_the_time('F d, Y')); esc_html_e(' / ', 'kolo');?> <?php comments_popup_link( '0 comments', '1 comment', '% comments', 'comments-link', '0'); ?>
								</div>
										
								<!-- Post Summary -->
								<div class="blog-post-desc">
									<p><?php kolo_readmore_content(19);?></p>									
								</div>
								
								<!-- Post Link -->
								<div class="article_link">
									<a class="" href="<?php the_permalink();?>"><?php esc_html_e('Read more' , 'kolo');?></a>
								</div>
										
							</article>								
						</div><!-- END BLOG ARTICLE 1 -->
			
				<?php	}
				} else {
					// no posts found
				}

				// Restore original Post Data
				wp_reset_postdata();

		?>
		</div>	<!-- END BLOG ARTICLES HOLDER -->		
	</div>	  <!-- End container -->
</section>	<!-- END BLOG-->
		
						
<?php 
  return ob_get_clean();
}
add_shortcode ('blog_area', 'kolo_blog_area' );

//Promo Bottom Area
function kolo_promo_bottom_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                          
            'sec_bg_img' => '',                                        
            'sec_title' => 'Perfect for any kind of presentation',                                        
            'sec_subtitle' => 'Use Kolo to showcase your mobile app, services or business projects',                                                                              
            'purchase_btn_text' => 'Purchase Now',                                                                              
            'purchase_btn_link' => '#',           
			'discover_btn_text' => 'Discover More',                                                                              
            'discover_btn_link' => '#',                                                                              
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>
<!-- BOTTOM PROMO LINE 
============================================= -->	
<div id="bottom-promo_line" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>); ">			
	<div class="container">			
		<div class="row">
											
			<!-- BOTTOM PROMO LINE CONTENT -->
			<div class="col-md-12 text-center">
			
				<h2><?php echo kolo_wp_kses($sec_title);?></h2>
				<p><?php echo kolo_wp_kses($sec_subtitle);?></p>
				<?php if($purchase_btn_text){?>
					<a href="<?php echo esc_url($purchase_btn_link);?>" class="btn btn-tra"><?php echo esc_html($purchase_btn_text);?></a>	
				<?php } if($discover_btn_text){?>
					<a href="<?php echo esc_url($discover_btn_link);?>" class="btn"><?php echo esc_html($discover_btn_text);?></a>	
				<?php }?>
			</div>
				
										
		</div>	  <!-- End row -->				
	</div>	   <!-- End container -->						
</div>	    <!-- END BOTTOM PROMO LINE -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('promo_bottom_area', 'kolo_promo_bottom_area' );


//Section Title
function kolo_title_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                 
            'sec_title' => 'FAQs',                                        
            'sec_subtitle' => 'Sagittis an accumsan convallis, lectus ultrices feugiat ',                                                                              
                                                                    
		), $atts )
    );
ob_start();

?>
<!-- SECTION TITLE -->		
<div class="row">
	<div class="col-sm-12 titlebar">
	
		<h3><?php echo kolo_wp_kses($sec_title);?></h3>							
		<p><?php echo kolo_wp_kses($sec_subtitle);?></p>
		
	</div>
</div>	<!-- END SECTION TITLE -->	
<?php 
  return ob_get_clean();
}
add_shortcode ('title_area', 'kolo_title_area' );

//FAQ Area
function kolo_faqs_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                 
            'sec_ques_label' => 'Q:',                                        
            'sec_ans_label' => 'A:',                                        
            'sec_ques' => 'Vivamus a purus lacus tempor volutpat?',                                        
            'sec_answer' => 'Nulla consequat massa quis enim. Veronum versus designus Donec pede justo, fringilla vel, aliquet nec, vulputate eget, arcu. In enim justo, rhoncus ut, imperdiet a, venenatis vitae, justo',                                                                              
                                                                    
		), $atts )
    );
ob_start();

?>
<!-- Question #1 -->
<div class="question">						
	<h4><span class="faq-question-label"><?php echo kolo_wp_kses($sec_ques_label);?></span> <?php echo kolo_wp_kses($sec_ques);?></h4>
	<p><span class="faq-answer-label"><?php echo kolo_wp_kses($sec_ans_label);?></span> <?php echo kolo_wp_kses($sec_answer);?></p>
</div>
<?php 
  return ob_get_clean();
}
add_shortcode ('faqs_area', 'kolo_faqs_area' );

//Get In Touch Area
function kolo_get_in_touch_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                    
            'sec_title' => 'Get in touch',                                        
            'sec_subtitle' => 'We will get back to you as soon as possible',                                        
            'postal_address_label' => 'Postal Address:',                                        
            'postal_address' => 'PO Box 16122 Collins Street West <br /> Victoria 8007 Australia',                                        
			'headquarters_label' => 'Headquarters',                                        
            'headquarters_address' => '121 King Street, Melbourne <br /> Victoria 3000 Australia',                                        		
			'phone_label' => 'Phone',                                        
            'phone_number' => 'Phone Number: (123) 456 7890 <br /> Fax Number: (123) 456 7890',                                        
            'e_mail_label' => 'E-mail',                                        
            'e_mails' => 'Support: <a href="mailto:support@example.com">support@example.com</a> <br /> Sales: <a href="mailto:sales@example.com">sales@example.com</a>',                                        
            
		
		), $atts )
    );
ob_start();

?>

			
<!-- CONTACTS
============================================= -->
<section id="contact">
	<div class="container">	
		<?php if($sec_title && $sec_subtitle){?>
			<!-- SECTION TITLE -->				
			<div class="row">
				<div class="col-sm-12 titlebar">
				
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>

				</div>
			</div>
		<?php }?>
			
		<!-- CONTACT INFO -->	
		<div class="row">					

			<!-- Postal Address -->
			<div class="col-xs-6 col-sm-6 col-md-3 contact-data animated" data-animation="fadeInUp" data-animation-delay="400">
				<h4 class="small-title"><?php echo kolo_wp_kses($postal_address_label);?></h4>
				<p><?php echo kolo_wp_kses($postal_address);?></p>
				
			</div>							

			<!-- Headquarters -->
			<div class="col-xs-6 col-sm-6 col-md-3 contact-data animated" data-animation="fadeInUp" data-animation-delay="600">
				<h4 class="small-title"><?php echo kolo_wp_kses($headquarters_label);?></h4>
				<p><?php echo kolo_wp_kses($headquarters_address);?></p>
			</div>
				
			<!-- Phone Number -->
			<div class="col-xs-6 col-sm-6 col-md-3 contact-data animated" data-animation="fadeInUp" data-animation-delay="800">
				<h4 class="small-title"><?php echo kolo_wp_kses($phone_label);?></h4>
				<p><?php echo kolo_wp_kses($phone_number);?></p>
			</div>	
				
			<!-- E-mail Address-->
			<div class="col-xs-6 col-sm-6 col-md-3 contact-data animated" data-animation="fadeInUp" data-animation-delay="1000">
				<h4 class="small-title"><?php echo kolo_wp_kses($e_mail_label);?></h4>
				<p><?php echo kolo_wp_kses($e_mails);?></p>
			</div>
		
		</div>	<!-- END CONTACT INFO -->	   		   	
			
			
	</div>	   <!-- End container -->	
</section>	 <!-- END CONTACTS -->

<?php 
  return ob_get_clean();
}
add_shortcode ('get_in_touch_area', 'kolo_get_in_touch_area' );


//Contact Us Area
function kolo_contact_us_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                    
            'sec_cf7_id' => '',                                        
            'sec_title' => 'Get in touch',                                        
            'sec_subtitle' => 'We will get back to you as soon as possible',                                        
            'postal_address_label' => 'Postal Address:',                                        
            'postal_address' => 'PO Box 16122 Collins Street West <br /> Victoria 8007 Australia',                                        
			'headquarters_label' => 'Headquarters',                                        
            'headquarters_address' => '121 King Street, Melbourne <br /> Victoria 3000 Australia',                                        		
			'phone_label' => 'Phone',                                        
            'phone_number' => 'Phone Number: (123) 456 7890 <br /> Fax Number: (123) 456 7890',                                        
            'e_mail_label' => 'E-mail',                                        
            'e_mails' => 'Support: <a href="mailto:support@example.com">support@example.com</a> <br /> Sales: <a href="mailto:sales@example.com">sales@example.com</a>',                                        
            
		
		), $atts )
    );
ob_start();

?>
<!-- CONTACTS
============================================= -->
<section id="contact">
	<div class="container">	
		
		<?php if($sec_title && $sec_subtitle){?>
			<!-- SECTION TITLE -->				
			<div class="row">
				<div class="col-sm-12 titlebar">
				
					<h3><?php echo kolo_wp_kses($sec_title);?></h3>
					<p><?php echo kolo_wp_kses($sec_subtitle);?></p>

				</div>
			</div>
		<?php }?>

		<div class="row">

			<!-- CONTACT FORM -->
			<div class="col-sm-8">
				
				<div id="contact-form" class="row">
					<?php echo do_shortcode('[contact-form-7 id="'.esc_attr($sec_cf7_id).'"]');?>
				</div>
				
			</div><!-- END CONTACT FORM -->
			

			<!-- CONTACT INFO -->
			<div id="contacts-info" class="col-sm-4">
			
				<!-- Postal Address -->
				<div class="contact-data">
					<h4 class="small-title"><?php echo esc_html($postal_address_label);?></h4>
					<p><?php echo kolo_wp_kses($postal_address);?></p>					
				</div>							

				<!-- Headquarters -->
				<div class="contact-data">
					<h4 class="small-title"><?php echo esc_html($headquarters_label);?></h4>
					<p><?php echo kolo_wp_kses($headquarters_address);?></p>
				</div>
				
				<!-- Phone Number -->
				<div class="contact-data">
					<h4 class="small-title"><?php echo esc_html($phone_label);?></h4>
					<p><?php echo kolo_wp_kses($phone_number);?></p>				
				</div>	
				
				<!-- E-mail Address-->
				<div class="contact-data">
					<h4 class="small-title"><?php echo esc_html($e_mail_label);?></h4>
					<p><?php echo wp_kses($e_mails, array('br' => array(), 'a' => array('href' => array(),'title' => array())), '');?></p>
				</div>
			
			</div>	<!-- END CONTACT INFO -->
		</div>	<!-- End row -->	   	
	</div>	   <!-- End container -->	
</section>	 <!-- END CONTACTS -->


<?php 
  return ob_get_clean();
}
add_shortcode ('contact_us_area', 'kolo_contact_us_area' );

//Call To Action Area
function kolo_call_to_action_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                    
            'sec_title' => 'The best solution for your startup',                                        
            'sec_subtitle' => 'Aliquam a augue suscipit, bibendum luctus neque vestibulum laoreet',                                        
            'sec_button_text' => 'Let\'s Get Started',                                        
            'sec_button_url' => '#',                                        
            'sec_bg_img' => '',                                        
		
		), $atts )
    );
ob_start();
$sec_bg_img = wp_get_attachment_image_src($sec_bg_img,'');
?>

			
<!-- CALL TO ACTION
============================================= -->	
<div id="call-to-action" style="background-image: url(<?php echo esc_url($sec_bg_img['0']);?>);">
	<div class="container">
		<div class="row">
			<!-- CALL TO ACTION TEXT -->
			<div class="col-md-8">
			
				<h3><?php echo kolo_wp_kses($sec_title);?></h3>
				<p><?php echo kolo_wp_kses($sec_subtitle);?></p>
			</div>
									
			<!-- CALL TO ACTION BUTTON -->
			<div class="col-md-4 text-center">													
				<a class="btn btn-tra" href="<?php echo esc_url($sec_button_url);?>"><?php echo esc_html($sec_button_text);?></a>						
			</div>
		</div>	 <!-- End row -->						
	</div>	  <!-- End container -->
</div>     <!-- END CALL TO ACTION -->
			
<?php 
  return ob_get_clean();
}
add_shortcode ('call_to_action_area', 'kolo_call_to_action_area' );

//Kolo Tab Area
function kolo_tab_area( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                                                                                                    
            'post_number' => '3',                                                                 
		
		), $atts )
    );
ob_start();

?>

<div class="tab-content">
							
	<!-- TABS NAV -->
	<ul role="tablist" class="nav nav-tabs">
		<?php

			// WP_Query arguments
			$args = array (
				'post_type'              => array( 'k_tab' ),
				'posts_per_page'         => $post_number,
			);

			// The Query
			$kolo_tab_menu = new WP_Query( $args );

			// The Loop
			if ( $kolo_tab_menu->have_posts() ) {
				while ( $kolo_tab_menu->have_posts() ) {
					$kolo_tab_menu->the_post(); 
					$kolo_active_tab = get_post_meta(get_the_ID(),'_kolo_active_tab',true);	
					?>
					<li class="<?php if($kolo_active_tab == true){ echo esc_attr('active');}?>"><a data-toggle="tab" role="tab" href="#tab_<?php echo esc_attr(get_the_ID());?>"><?php the_title();?></a></li>
			<?php	}
			} else {
				// no posts found
			}

			// Restore original Post Data
			wp_reset_postdata();

		?>	
	
	</ul>	

		<?php

			// WP_Query arguments
			$args = array (
				'post_type'              => array( 'k_tab' ),
				'posts_per_page'         => $post_number,
			);

			// The Query
			$kolo_tab_content = new WP_Query( $args );

			// The Loop
			if ( $kolo_tab_content->have_posts() ) {
				while ( $kolo_tab_content->have_posts() ) {
					$kolo_tab_content->the_post(); 
					$kolo_active_tab = get_post_meta(get_the_ID(),'_kolo_active_tab',true);	
							
					?>
						<!-- TAB #1 -->
						<div class="tab-pane <?php if($kolo_active_tab == true){ echo esc_attr('active');}?>" id="tab_<?php echo esc_attr(get_the_ID());?>">
							<?php the_content();?>
						</div><!-- END TAB #1 -->
			<?php	}
			} else {
				// no posts found
			}

			// Restore original Post Data
			wp_reset_postdata();

		?>	
		

</div>			
			
<?php 
  return ob_get_clean();
}
add_shortcode ('tab_area', 'kolo_tab_area' );

//Kolo Accordion Area
function kolo_accordion_area( $atts , $content = null ){
 // Attributes
	extract( shortcode_atts(
		array(                                                                                                                    
			'post_number' => '3',                                                                 
		
		), $atts )
	);
ob_start();

?>


	<!--  Accordion panel-group -->	
	<div class="panel-group" id="accordion">
	
		<?php

		// WP_Query arguments
		$args = array (
			'post_type'              => array( 'k_accordion' ),
			'posts_per_page'         => $post_number,
		);
		$count = 1;
		// The Query
		$kolo_accordion_query = new WP_Query( $args );

		// The Loop
		if ( $kolo_accordion_query->have_posts() ) {
			while ( $kolo_accordion_query->have_posts() ) {
				$kolo_accordion_query->the_post(); 
				$kolo_active_tab = get_post_meta(get_the_ID(),'_kolo_active_tab',true);	
				?>
				<!-- PANEL #3 -->
					<div class="panel panel-default">	 
						<!-- Panel Title -->
						<div class="panel-heading">
							<h4 class="panel-title small-title"> <a data-toggle="collapse" class="panel-toggle <?php if($kolo_active_tab == true){ echo esc_attr('active');} ?>" data-parent="#accordion" href="#collapse<?php echo esc_attr($count);?>"><?php the_title();?></a> </h4>
						</div>
									
						<!-- Panel Title -->
						<div id="collapse<?php echo esc_attr($count);?>" class="panel-collapse collapse <?php if($kolo_active_tab == true){ echo esc_attr('in');} ?>">
							<div class="panel-body">
								<?php the_content();?>
							</div>
						</div>
																		
					</div>	<!-- END PANEL #3 -->
					
				<?php	$count++; }
				
		} else {
			// no posts found
		}

		// Restore original Post Data
		wp_reset_postdata();

		?>		
				 	
					  
	</div>	<!--  End panel-group -->

<?php 
  return ob_get_clean();
}
add_shortcode ('accordion_area', 'kolo_accordion_area' );


//Shortcode Importer
function kolo_shortcode_importer( $atts , $content = null ){
 // Attributes
    extract( shortcode_atts(
        array(                                   
            'enter_shortcode' => '',                                                                              

		), $atts )
    );

	echo do_shortcode($enter_shortcode);
}
add_shortcode ('shortcode_importer', 'kolo_shortcode_importer' );